using System;
using System.Text.Json.Serialization;

namespace Adaptation.FileHandlers.OpenInsight;

public class Root
{

    [JsonPropertyName("count_se_sgtm")] public long CountSeSgtm { get; }
    [JsonPropertyName("date_time")] public DateTime DateTime { get; }
    [JsonPropertyName("max_max_se_test")] public long MaxMaxSeTest { get; }
    [JsonPropertyName("max_max_se_test_name")] public string MaxMaxSeTestName { get; }
    [JsonPropertyName("max_max_se_val")] public double MaxMaxSeVal { get; }
    [JsonPropertyName("max_se_lot")] public long MaxSeLot { get; }
    [JsonPropertyName("max_se_lot_name")] public string MaxSeLotName { get; }
    [JsonPropertyName("max_se_part")] public long MaxSePart { get; }
    [JsonPropertyName("max_se_part_name")] public string MaxSePartName { get; }
    [JsonPropertyName("max_se_prcs")] public long MaxSePrcs { get; }
    [JsonPropertyName("max_se_prcs_name")] public string MaxSePrcsName { get; }
    [JsonPropertyName("max_se_sgrp")] public long MaxSeSgrp { get; }
    [JsonPropertyName("min_min_se_test")] public long MinMinSeTest { get; }
    [JsonPropertyName("min_min_se_test_name")] public string MinMinSeTestName { get; }
    [JsonPropertyName("min_min_se_val")] public double MinMinSeVal { get; }
    [JsonPropertyName("min_se_sgrp")] public long MinSeSgrp { get; }

    [JsonConstructor]
    public Root(long countSeSgtm, DateTime dateTime, long maxMaxSeTest, string maxMaxSeTestName, double maxMaxSeVal, long maxSeLot, string maxSeLotName, long maxSePart, string maxSePartName, long maxSePrcs, string maxSePrcsName, long maxSeSgrp, long minMinSeTest, string minMinSeTestName, double minMinSeVal, long minSeSgrp)
    {
        CountSeSgtm = countSeSgtm;
        DateTime = dateTime;
        MaxMaxSeTest = maxMaxSeTest;
        MaxMaxSeTestName = maxMaxSeTestName;
        MaxMaxSeVal = maxMaxSeVal;
        MaxSeLot = maxSeLot;
        MaxSeLotName = maxSeLotName;
        MaxSePart = maxSePart;
        MaxSePartName = maxSePartName;
        MaxSePrcs = maxSePrcs;
        MaxSePrcsName = maxSePrcsName;
        MaxSeSgrp = maxSeSgrp;
        MinMinSeTest = minMinSeTest;
        MinMinSeTestName = minMinSeTestName;
        MinMinSeVal = minMinSeVal;
        MinSeSgrp = minSeSgrp;
    }

}